<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__ilo" kind="group">
    <compoundname>group_sysclk_ilo</compoundname>
    <title>Internal Low-Speed Oscillator (ILO)</title>
    <innergroup refid="group__group__sysclk__ilo__funcs">Functions</innergroup>
    <briefdescription>
<para>The ILO operates with no external components and outputs a stable clock at 32.768 kHz nominal. </para>    </briefdescription>
    <detaileddescription>
<para>The ILO is relatively low power and low accuracy. It is available in all power modes and can be used as a source for the Backup domain clock. <image name="sysclk_backup.png" type="html" />
</para><para>To ensure the ILO remains active in Hibernate mode, and across power-on-reset (POR) or brown out detect (BOD), firmware must call <ref kindref="member" refid="group__group__sysclk__ilo__funcs_1gab8d32f79b480829d5193ba0c1741bc07">Cy_SysClk_IloHibernateOn()</ref>.</para><para>Additionally, the ILO clock can be trimmed to +/- 1.5% of nominal frequency using a higher precision clock source. Use the <ref kindref="compound" refid="group__group__sysclk__calclk">Clock Measurement</ref> API to measure the current ILO frequency before trimming.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The ILO is always the source clock for the &lt;a href="group__group__wdt.html#"&gt;WDT (Watchdog Timer)&lt;/a&gt;. Therefore:&lt;ul&gt;&lt;li&gt;&lt;p&gt;The WDT must be unlocked when making an ILO function call in the PDL&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;It is recommended to always have the ILO enabled &lt;/p&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>    </detaileddescription>
  </compounddef>
</doxygen>